summaryrefslogtreecommitdiff
path: root/tests/mkdir
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2007-03-20 16:47:36 +0100
committerJim Meyering <jim@meyering.net>2007-03-20 16:47:36 +0100
commitc63f4506cc2cf9cf434aa273e68a447bf628add4 (patch)
tree0c466443cc4cfad663a34eded4dbbcdf863a491f /tests/mkdir
parent85de525557907f97a7ae75cc8025229797d79728 (diff)
downloadcoreutils-c63f4506cc2cf9cf434aa273e68a447bf628add4.tar.xz
Skip part of this test when "." is not a local file system.
* tests/mkdir/p-3: Likewise.
Diffstat (limited to 'tests/mkdir')
-rwxr-xr-xtests/mkdir/p-310
1 files changed, 7 insertions, 3 deletions
diff --git a/tests/mkdir/p-3 b/tests/mkdir/p-3
index 5c2a76a9d..54e99e172 100755
--- a/tests/mkdir/p-3
+++ b/tests/mkdir/p-3
@@ -54,9 +54,13 @@ test -d "$p/b/b" && test -d "$p/z" || fail=1
# Same as above, but a trailing relative name in an unreadable directory
# whose parent is inaccessible. coreutils 5.97 fails this test.
-(cd no-acce3s/d && chmod a-r . && chmod a-rx .. && mkdir -p a/b "$p/b/c" d/e &&
- test -d a/b && test -d d/e) || fail=1
-test -d "$p/b/c" || fail=1
+# Perform this test only if "." is on a local file system.
+# Otherwise, it would fail e.g., on an NFS-mounted file system.
+if df --local . >/dev/null 2>&1; then
+ (cd no-acce3s/d && chmod a-r . && chmod a-rx .. &&
+ mkdir -p a/b "$p/b/c" d/e && test -d a/b && test -d d/e) || fail=1
+ test -d "$p/b/c" || fail=1
+fi
b=`ls "$p/a" | tr -d '\n'`
# With coreutils-5.3.0, this would fail with $b=bu.